Lattice Builder Manual Software Package for Constructing Rank-1 Lattices

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Friends Modules Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
LatBuilder::CoordUniformFigureOfMerit< KERNEL > Class Template Reference

Base base class for coordinate-uniform figures of merit. More...

`#include <CoordUniformFigureOfMerit.h>`

Inherits LatBuilder::FigureOfMerit.

## Public Member Functions
| CoordUniformFigureOfMerit (std::unique_ptr< LatCommon::Weights > weights, KERNEL kernel=KERNEL())
| Constructor. More...
const LatCommon::Weights & | weights () const
| Returns the projection-dependent weights \(\gamma_{\mathfrak u}\). More...
const KERNEL & | kernel () const
| Returns the coordinate-uniform kernel.
bool | symmetric () const
| Returns `true` if the value of the figure of merit is invariant under the transormation \(a_j \mapsto n - a_j\) for any \(j=1,\dots,s\), where \(n\) and \(s\) are, respectively, the number of points and the dimension of the lattice and \(a_j\) is the \(j\)-th component of the generating vector \(\boldsymbol a = (a_1, \dots, a_s)\). More...
std::string | name () const
Real | normType () const
Public Member Functions inherited from LatBuilder::FigureOfMerit
virtual | ~FigureOfMerit ()
| Destructor.

## Static Public Member Functions
static constexpr Compress | suggestedCompression ()
static std::string | evaluationName ()

## Protected Member Functions
std::ostream & | format (std::ostream &os) const

## Detailed Description

### template<class KERNEL>
class LatBuilder::CoordUniformFigureOfMerit< KERNEL >

Base base class for coordinate-uniform figures of merit.

Examples:
  tutorial/FilteredCBC.cc, tutorial/FilteredRCBC.cc, tutorial/MeritSeqCoordUniform.cc, tutorial/MeritSeqFastCBC.cc, and tutorial/MeritSeqNonCBC.cc.

## Constructor & Destructor Documentation

template<class KERNEL>

LatBuilder::CoordUniformFigureOfMerit< KERNEL >::CoordUniformFigureOfMerit | ( | std::unique_ptr< LatCommon::Weights > | weights,
|  | KERNEL | kernel = `KERNEL()`
| ) |  |
| inline

Constructor.

Parameters

  weights | See WeightedFigureOfMerit::WeightedFigureOfMerit for details about this parameter.
  kernel | Kernel ( \(\omega\) in the reference paper). See the Kernel namespace for examples.

## Member Function Documentation

template<class KERNEL>

bool LatBuilder::CoordUniformFigureOfMerit< KERNEL >::symmetric | ( |  | ) | const
| inline virtual

Returns `true` if the value of the figure of merit is invariant under the transormation \(a_j \mapsto n - a_j\) for any \(j=1,\dots,s\), where \(n\) and \(s\) are, respectively, the number of points and the dimension of the lattice and \(a_j\) is the \(j\)-th component of the generating vector \(\boldsymbol a = (a_1, \dots, a_s)\).

Returns `true` if the kernel is symmetric.

Implements LatBuilder::FigureOfMerit.

References LatBuilder::CoordUniformFigureOfMerit< KERNEL >::kernel().

template<class KERNEL>

const LatCommon::Weights& LatBuilder::CoordUniformFigureOfMerit< KERNEL >::weights | ( |  | ) | const
| inline virtual

Returns the projection-dependent weights \(\gamma_{\mathfrak u}\).

Implements LatBuilder::FigureOfMerit.

The documentation for this class was generated from the following file:

- latbuilder/include/latbuilder/CoordUniformFigureOfMerit.h